
export async function SandLurker(hitEntity, damagingEntity) {
    if (
        damagingEntity.typeId === 'minecraft:player' &&
        hitEntity.typeId === 'lv_mo:sand_lurker' &&
        hitEntity.getComponent("minecraft:is_sheared")
    ) {
        damagingEntity.addEffect('blindness', (5 * 20), { amplifier: 1, showParticles: true });
        damagingEntity.addEffect('slowness', (5 * 20), { amplifier: 1, showParticles: true });
        if (!hitEntity.getComponent("minecraft:is_baby")) {
            hitEntity.triggerEvent(`lv_mo:add_target`);
        } else {
            hitEntity.triggerEvent(`lv_mo:flee`);
        }
    }
}